NUBC = ../../compiler/NubLang.CLI/bin/Debug/net9.0/nubc

out: .build/out.o
	gcc -nostartfiles -lm -o out x86_64.s .build/out.o

.build/out.o: $(NUBC) main.nub
	$(NUBC) main.nub

.PHONY: $(NUBC)
$(NUBC):
	dotnet build ../../compiler/NubLang.CLI/NubLang.CLI.csproj

clean:
	@rm -r .build 2>/dev/null || true
	@rm out 2>/dev/null || true
